<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.SpecificApplicationProfile Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_specific_application_profile-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.SpecificApplicationProfile Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Represents a specific application profile.  
 <a href="class_semantic_search_implementation_1_1_specific_application_profile.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for SemanticSearchImplementation.SpecificApplicationProfile:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_semantic_search_implementation_1_1_specific_application_profile.png" usemap="#SemanticSearchImplementation.SpecificApplicationProfile_map" alt=""/>
  <map id="SemanticSearchImplementation.SpecificApplicationProfile_map" name="SemanticSearchImplementation.SpecificApplicationProfile_map">
<area href="class_semantic_search_implementation_1_1_application_profile.html" title="Contains methods for an application profile." alt="SemanticSearchImplementation.ApplicationProfile" shape="rect" coords="0,0,336,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a296fcd0e022b319af338d797916dc212"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a296fcd0e022b319af338d797916dc212">SpecificApplicationProfile</a> (<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> RDFClient, string applicationProfileId)</td></tr>
<tr class="separator:a296fcd0e022b319af338d797916dc212"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a764c108f649c8f6d512bb490350bf079"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, List&lt; Triple &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a764c108f649c8f6d512bb490350bf079">GetAdditionalTriples</a> (string graphName)</td></tr>
<tr class="memdesc:a764c108f649c8f6d512bb490350bf079"><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes specific additional rules for a given metadata graph.  <a href="class_semantic_search_implementation_1_1_specific_application_profile.html#a764c108f649c8f6d512bb490350bf079">More...</a><br /></td></tr>
<tr class="separator:a764c108f649c8f6d512bb490350bf079"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a06f7a43559af6b078b36d396a8c99e9c"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a06f7a43559af6b078b36d396a8c99e9c">GetLiterals</a> (string label, string instance)</td></tr>
<tr class="memdesc:a06f7a43559af6b078b36d396a8c99e9c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates JSON object for a given label (field) and instance (value) by applying the corresponding literal rules.  <a href="class_semantic_search_implementation_1_1_specific_application_profile.html#a06f7a43559af6b078b36d396a8c99e9c">More...</a><br /></td></tr>
<tr class="separator:a06f7a43559af6b078b36d396a8c99e9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_semantic_search_implementation_1_1_application_profile"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_semantic_search_implementation_1_1_application_profile')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html">SemanticSearchImplementation.ApplicationProfile</a></td></tr>
<tr class="memitem:a670c702984050548788edc50ff74eb38 inherit pub_methods_class_semantic_search_implementation_1_1_application_profile"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a670c702984050548788edc50ff74eb38">ApplicationProfile</a> (<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a> RDFClient)</td></tr>
<tr class="separator:a670c702984050548788edc50ff74eb38 inherit pub_methods_class_semantic_search_implementation_1_1_application_profile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a23e0aa535802dae89d2de1f90084b154 inherit pub_methods_class_semantic_search_implementation_1_1_application_profile"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; Triple &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a23e0aa535802dae89d2de1f90084b154">GetGeneralAdditionalTriples</a> (string graphName)</td></tr>
<tr class="memdesc:a23e0aa535802dae89d2de1f90084b154 inherit pub_methods_class_semantic_search_implementation_1_1_application_profile"><td class="mdescLeft">&#160;</td><td class="mdescRight">Executes general additional rules for a given metadata graph.  <a href="class_semantic_search_implementation_1_1_application_profile.html#a23e0aa535802dae89d2de1f90084b154">More...</a><br /></td></tr>
<tr class="separator:a23e0aa535802dae89d2de1f90084b154 inherit pub_methods_class_semantic_search_implementation_1_1_application_profile"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa732341c622420280d125d1e7ba3eb6f"><td class="memItemLeft" align="right" valign="top">JToken&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#aa732341c622420280d125d1e7ba3eb6f">CreateJTokenForESFromList</a> (IEnumerable&lt; string &gt; list)</td></tr>
<tr class="memdesc:aa732341c622420280d125d1e7ba3eb6f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a JToken of a list of literals.  <a href="class_semantic_search_implementation_1_1_specific_application_profile.html#aa732341c622420280d125d1e7ba3eb6f">More...</a><br /></td></tr>
<tr class="separator:aa732341c622420280d125d1e7ba3eb6f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adca1f5830224dba48ffe708010cf6059"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#adca1f5830224dba48ffe708010cf6059">GetAllConstructRulesForLiterals</a> (IEnumerable&lt; string &gt; classes)</td></tr>
<tr class="memdesc:adca1f5830224dba48ffe708010cf6059"><td class="mdescLeft">&#160;</td><td class="mdescRight">Collects all relevant literal rules for the given classes.  <a href="class_semantic_search_implementation_1_1_specific_application_profile.html#adca1f5830224dba48ffe708010cf6059">More...</a><br /></td></tr>
<tr class="separator:adca1f5830224dba48ffe708010cf6059"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a9badf9065a22122a01b172d87400f17b"><td class="memItemLeft" align="right" valign="top">readonly string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a9badf9065a22122a01b172d87400f17b">_applicationProfileId</a></td></tr>
<tr class="separator:a9badf9065a22122a01b172d87400f17b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac28fa25dac511a1584f9ded9a4e85d7c"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#ac28fa25dac511a1584f9ded9a4e85d7c">_specificLiteralRules</a></td></tr>
<tr class="separator:ac28fa25dac511a1584f9ded9a4e85d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e6780c0f87f5ad3812b66a13b4f19c8"><td class="memItemLeft" align="right" valign="top">readonly IEnumerable&lt; <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html#a6e6780c0f87f5ad3812b66a13b4f19c8">_specificAdditionalRules</a></td></tr>
<tr class="separator:a6e6780c0f87f5ad3812b66a13b4f19c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_semantic_search_implementation_1_1_application_profile')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_semantic_search_implementation_1_1_application_profile.html">SemanticSearchImplementation.ApplicationProfile</a></td></tr>
<tr class="memitem:abbc97873fbb32bc63308fa87dc01e0dc inherit pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#abbc97873fbb32bc63308fa87dc01e0dc">_RDFClient</a></td></tr>
<tr class="separator:abbc97873fbb32bc63308fa87dc01e0dc inherit pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af01d0f59fb8886a4071186d100e587b1 inherit pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td class="memItemLeft" align="right" valign="top">readonly IDictionary&lt; string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#af01d0f59fb8886a4071186d100e587b1">_generalLiteralRules</a></td></tr>
<tr class="separator:af01d0f59fb8886a4071186d100e587b1 inherit pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b34d9f5e4fdb4d5cb42ae84aa18114a inherit pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td class="memItemLeft" align="right" valign="top">readonly IEnumerable&lt; <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_application_profile.html#a3b34d9f5e4fdb4d5cb42ae84aa18114a">_generalAdditionalRules</a></td></tr>
<tr class="separator:a3b34d9f5e4fdb4d5cb42ae84aa18114a inherit pro_attribs_class_semantic_search_implementation_1_1_application_profile"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Represents a specific application profile. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a296fcd0e022b319af338d797916dc212"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a296fcd0e022b319af338d797916dc212">&#9670;&nbsp;</a></span>SpecificApplicationProfile()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.SpecificApplicationProfile.SpecificApplicationProfile </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a>&#160;</td>
          <td class="paramname"><em>RDFClient</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>applicationProfileId</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa732341c622420280d125d1e7ba3eb6f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa732341c622420280d125d1e7ba3eb6f">&#9670;&nbsp;</a></span>CreateJTokenForESFromList()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JToken SemanticSearchImplementation.SpecificApplicationProfile.CreateJTokenForESFromList </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; string &gt;&#160;</td>
          <td class="paramname"><em>list</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a JToken of a list of literals. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">list</td><td>A list of literals.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JToken which is either a single string or an array.</dd></dl>

</div>
</div>
<a id="a764c108f649c8f6d512bb490350bf079"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a764c108f649c8f6d512bb490350bf079">&#9670;&nbsp;</a></span>GetAdditionalTriples()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, List&lt;Triple&gt; &gt; SemanticSearchImplementation.SpecificApplicationProfile.GetAdditionalTriples </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Executes specific additional rules for a given metadata graph. </p>
<p>remarks&gt;Depending on the rule, triples can also be created for other metadata graphs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of metadata graph</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A dictionary which contains a list of created triples (value) for graphs (key).</dd></dl>

</div>
</div>
<a id="adca1f5830224dba48ffe708010cf6059"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adca1f5830224dba48ffe708010cf6059">&#9670;&nbsp;</a></span>GetAllConstructRulesForLiterals()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;<a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a>&gt; SemanticSearchImplementation.SpecificApplicationProfile.GetAllConstructRulesForLiterals </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; string &gt;&#160;</td>
          <td class="paramname"><em>classes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Collects all relevant literal rules for the given classes. </p>
<p>Rules of direct classes are used. Rules for parent classes are only considered if no other rules could be found. A specific literal rule overwrites a generl literal rule for the same class.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">classes</td><td>A list of classes for which literal rules are searched.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of corresponding literal rules.</dd></dl>

</div>
</div>
<a id="a06f7a43559af6b078b36d396a8c99e9c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a06f7a43559af6b078b36d396a8c99e9c">&#9670;&nbsp;</a></span>GetLiterals()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.SpecificApplicationProfile.GetLiterals </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>label</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>instance</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates JSON object for a given label (field) and instance (value) by applying the corresponding literal rules. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">label</td><td>The label of the field.</td></tr>
    <tr><td class="paramname">instance</td><td>An instance of a specific class for which a literal rule needs to be applied.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A JSON object containing the created field-value pair.</dd></dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a9badf9065a22122a01b172d87400f17b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9badf9065a22122a01b172d87400f17b">&#9670;&nbsp;</a></span>_applicationProfileId</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly string SemanticSearchImplementation.SpecificApplicationProfile._applicationProfileId</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a6e6780c0f87f5ad3812b66a13b4f19c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6e6780c0f87f5ad3812b66a13b4f19c8">&#9670;&nbsp;</a></span>_specificAdditionalRules</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IEnumerable&lt;<a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a>&gt; SemanticSearchImplementation.SpecificApplicationProfile._specificAdditionalRules</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac28fa25dac511a1584f9ded9a4e85d7c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac28fa25dac511a1584f9ded9a4e85d7c">&#9670;&nbsp;</a></span>_specificLiteralRules</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly IDictionary&lt;string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a>&gt; SemanticSearchImplementation.SpecificApplicationProfile._specificLiteralRules</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_specific_application_profile_8cs.html">SpecificApplicationProfile.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
